manifestVersion: "0.0.1"
id: pinchflat
category: media
name: Pinchflat
version: "2025.6.6"
tagline: Автоматизированное решение для резервного копирования медиа-источников в Интернете.
description: >-
  Pinchflat — это самостоятельное приложение для загрузки контента YouTube, созданного с помощью yt-dlp. Он спроектирован так, чтобы быть легким, автономным и простым в использовании. Вы устанавливаете правила загрузки контента с каналов или плейлистов YouTube, а он сделает все остальное, периодически проверяя наличие нового контента. Он идеально подходит для людей, которые хотят загружать контент для использования с приложением медиацентра (Plex, Jellyfin, Kodi) или для тех, кто хочет архивировать мультимедиа!
  
  
  Хотя вы можете загружать отдельные видео, Pinch Flat лучше всего подходит для загрузки контента с каналов или плейлистов. Он также не предназначен для использования контента внутри приложения — Pinchflat загружает контент на диск, где вы затем можете просмотреть его с помощью приложения медиацентра или VLC.
  
  
  ## Особенности
   - Автономный - всего один контейнер Docker без внешних зависимостей.
   - Мощная система именования, позволяющая хранить контент там, где и как вы хотите.
   - Простой в использовании веб-интерфейс с предустановками, позволяющими сразу начать работу.
   - Первоклассная поддержка приложений медиацентра, таких как Plex, Jellyfin и Kodi ([docs](https://github.com/kieraneglin/pinchflat/wiki/Frequently-Asked-Questions#how-do-i-get-media-into-plexjellyfinkodi))
   - Поддержка подачи RSS-каналов в ваше любимое приложение для подкастов ([docs](https://github.com/kieraneglin/pinchflat/wiki/Podcast-RSS-Feeds))
   - Автоматически загружает новый контент из каналов и плейлистов
     - Использует новый подход для более быстрой загрузки нового контента, чем другие приложения.
   - Поддерживает загрузку аудиоконтента
   - Пользовательские правила для обработки короткометражек YouTube и прямых трансляций.
   - Поддержка уведомлений
   - Позволяет автоматически повторно загружать новые медиафайлы по истечении установленного периода.
     – Это может помочь улучшить качество загрузки нового контента или улучшить теги SponsorBlock.
   - При необходимости автоматическое удаление старого контента ([docs](https://github.com/kieraneglin/pinchflat/wiki/Automatically-Delete-Media))
   - Расширенные параметры, такие как установка дат окончания и фильтрация по названию ([docs](https://github.com/kieraneglin/pinchflat/wiki/Frequently-Asked-Questions#i-only-want-certain-videos-from-a-source---how-can-i-only-download-those))
   - Надежная автоматическая работа- Может передавать файлы cookie в YouTube для загрузки ваших личных плейлистов ([docs](https://github.com/kieraneglin/pinchflat/wiki/YouTube-Cookies))
   - Интеграция спонсорского блока
   - [Дополнительно] позволяет настраивать параметры `yt-dlp` ([docs](https://github.com/kieraneglin/pinchflat/wiki/%5BAdvanced%5D-Custom-yt%E2%80%90dlp-options))
   - [Дополнительно] поддерживает запуск пользовательских сценариев после загрузки/удаления мультимедиа (альфа - [документы](https://github.com/kieraneglin/pinchflat/wiki/%5BAdvanced%5D-Custom-lifecycle-scripts))
developer: Kieran Eglin
website: https://github.com/kieraneglin/pinchflat
dependencies: []
repo: https://github.com/kieraneglin/pinchflat
support: https://github.com/kieraneglin/pinchflat/issues
port: 8945
gallery:
  - 1.jpg
  - 2.jpg
  - 3.jpg
path: ""
defaultUsername: ""
defaultPassword: ""
releaseNotes: ""
torOnly: false
permissions:
  - STORAGE_DOWNLOADS
submitter: "DFV24"
submission: "https://github.dfv24.com/fofanov.dmitry/DFWebOS-Apps/pulls"

